Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.javabean
Class BeanProvider

    java.lang.Object
      com.thoughtworks.xstream.converters.javabean.BeanProvider

    public class BeanProvider

extends Object

Field Summary
`protected static Object[]` | `NO_PARAMS`

Constructor Summary
`BeanProvider()`
`BeanProvider(Comparator propertyNameComparator)`

Method Summary
`boolean` | `canInstantiate(Class type)` Returns true if the Bean provider can instantiate the specified class
`protected boolean` | `canStreamProperty(PropertyDescriptor descriptor)`
`protected Constructor` | `getDefaultConstrutor(Class type)` Returns the default constructor, or null if none is found
`Class` | `getPropertyType(Object object, String name)`
`Object` | `newInstance(Class type)`
`boolean` | `propertyDefinedInClass(String name, Class type)`
`boolean` | `propertyWriteable(String name, Class type)`
`void` | `visitSerializableProperties(Object object, com.thoughtworks.xstream.converters.javabean.BeanProvider.Visitor visitor)`
`void` | `writeProperty(Object object, String propertyName, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_PARAMS

    protected static final Object[] NO_PARAMS

Constructor Detail

### BeanProvider

    public BeanProvider()

### BeanProvider

    public BeanProvider(Comparator propertyNameComparator)

Method Detail

### newInstance

    public Object newInstance(Class type)

### visitSerializableProperties

    public void visitSerializableProperties(Object object,
                                            com.thoughtworks.xstream.converters.javabean.BeanProvider.Visitor visitor)

### writeProperty

    public void writeProperty(Object object,
                              String propertyName,
                              Object value)

### getPropertyType

    public Class getPropertyType(Object object,
                                 String name)

### propertyDefinedInClass

    public boolean propertyDefinedInClass(String name,
                                          Class type)

### canInstantiate

    public boolean canInstantiate(Class type)

  Returns true if the Bean provider can instantiate the specified class

### getDefaultConstrutor

    protected Constructor getDefaultConstrutor(Class type)

  Returns the default constructor, or null if none is found

  Parameters:
    `type` -

### canStreamProperty

    protected boolean canStreamProperty(PropertyDescriptor descriptor)

### propertyWriteable

    public boolean propertyWriteable(String name,
                                     Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.